CS::RenderManager::LightSetup< RenderTree, LayerConfigType, ShadowHandler >::PersistentData Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::LightSetup< RenderTree, LayerConfigType, ShadowHandler >::PersistentData Struct Reference

Data used by the light setup helper that needs to persist over multiple frames. More...

`#include <csplugincommon/rendermanager/lightsetup.h>`

List of all members.

## Public Member Functions
void | Initialize (iObjectRegistry *objReg, RenderTreeBase::DebugPersistent &dbgPersist)
| Initialize helper.
void | UpdateNewFrame ()
| Do per-frame house keeping - MUST be called every frame/ RenderView() execution.

## Detailed Description

### template<typename RenderTree, typename LayerConfigType, typename ShadowHandler = ShadowNone<RenderTree, LayerConfigType>>
struct CS::RenderManager::LightSetup< RenderTree, LayerConfigType, ShadowHandler >::PersistentData

Data used by the light setup helper that needs to persist over multiple frames.

Users of LightSetup must store an instance of this class and provide it to the helper upon instantiation.

Definition at line 959 of file lightsetup.h.

## Member Function Documentation

template<typename RenderTree , typename LayerConfigType , typename ShadowHandler = ShadowNone<RenderTree, LayerConfigType>>

void CS::RenderManager::LightSetup< RenderTree, LayerConfigType, ShadowHandler >::PersistentData::Initialize | ( | iObjectRegistry * | objReg,
|  | RenderTreeBase::DebugPersistent & | dbgPersist
| ) |  | `[inline]`

Initialize helper.

Fetches various required values from objects in the object registry. Must be called when the RenderManager plugin is initialized.

Definition at line 980 of file lightsetup.h.

template<typename RenderTree , typename LayerConfigType , typename ShadowHandler = ShadowNone<RenderTree, LayerConfigType>>

void CS::RenderManager::LightSetup< RenderTree, LayerConfigType, ShadowHandler >::PersistentData::UpdateNewFrame | ( |  | ) | `[inline]`

Do per-frame house keeping - MUST be called every frame/ RenderView() execution.

Definition at line 1000 of file lightsetup.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/lightsetup.h